import numpy as np
from mpl_toolkits import mplot3d
import matplotlib.pyplot as plt



v = np.linspace(-2*np.pi, 2*np.pi, 100)
x = np.linspace(-4*np.pi, 4*np.pi, 100)

xx, vv = np.meshgrid(x, v)

EE = vv**2/2 - np.cos(xx)

plt.figure()
contours = plt.contour(xx, vv, EE, 30, cmap='RdGy')
plt.clabel(contours, inline=True, fontsize=8)

#plt.imshow(E, extent=[-12, 12, -6, 6], origin='lower',
#           cmap='RdGy', alpha=0.5)
plt.colorbar()
plt.xlabel("position")
plt.ylabel("vitesse")

plt.figure()
plt.contourf(xx, vv, EE, 30, cmap='RdGy')
plt.colorbar()

plt.figure()
ax = plt.axes(projection='3d')
E = v**2/2 - np.cos(x)
ax.scatter3D(xx, vv, EE, "grey")

plt.show()
